FROM rust:slim

# Asenna Wasm-packia ja WebGPU:ta varten tarvittavat kirjastot
RUN apt-get update && apt-get install -y \
    curl \
    pkg-config \
    libssl-dev \
    g++ \
    && rm -rf /var/lib/apt/lists/*

# Lataa nopeasti suoraan valmis wasm-pack -binääri
RUN curl https://rustwasm.github.io/wasm-pack/installer/init.sh -sSf | sh

WORKDIR /app
